﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Http;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.Logging;
using callbacks.Models;
using callbacks.Services;

namespace callbacks.Controllers
{

	public class CallbackController : Controller
	{
		private ILogger logger;

		public CallbackController(IConfiguration configuration, ILogger<CallbackController> logger)
		{
			this.logger = logger;
		}

		[Route("messages/status")]
		public void ReceiveMessageStatus([FromBody]StatusBody statusBody)
		{
			if (this.Request.Method.Equals("POST")) {
				logger.LogInformation("Message #{MessageId} changed status to: {Status}", statusBody.messageId, statusBody.message);
			}
		}

		[Route("messages/incoming")]
		public void ReceiveIncomingMessage([FromBody]IncomingBody incomingMessageBody)
		{
			if (this.Request.Method.Equals("POST")) {
				logger.LogInformation("\nMessage Response for message order {0}\nFrom Phone Number: {1}\nResponse Text: {2}\nOperator Standard: {3}\nReceived on {4} at {5}",
												incomingMessageBody.messageId,
												incomingMessageBody.msisdn,
												incomingMessageBody.message,
												incomingMessageBody.parameters.@operator.standard,
												incomingMessageBody.receivedTime.Date,
												incomingMessageBody.receivedTime.Time);
			}
		}
	}
}
