﻿using System;
namespace callbacks.Models
{
	public class IncomingBody
	{

		public String messageId { set; get; }
		public String message { set; get; }
		public String msisdn { set; get; }
		public String originatingAddress { set; get; }
		public Parameters parameters { set; get; }
		public ReceivedTime receivedTime { set; get; }

		public class Code
		{
			public String mcc { set; get; }
			public String mnc { set; get; }

			public Code() { }

			public Code(String mcc, String mnc)
			{
				this.mnc = mnc;
				this.mcc = mcc;
			}
		}

		public class Operator
		{
			public Code code { set; get; }
			public String standard { set; get; }

			public Operator() { }

			public Operator(Code code, String standard)
			{
				this.code = code;
				this.standard = standard;
			}
		}

		public class ReceivedTime
		{
			public String Date { set; get; }
			public String Time { set; get; }

			public ReceivedTime() { }

			public ReceivedTime(String Date, String Time)
			{
				this.Date = Date;
				this.Time = Time;
			}
		}

		public class Parameters
		{
			public String accountId { set; get; }
			public String dcs { set; get; }
			public String keyword { set; get; }
			public String messageClass { set; get; }
			public String messageId { set; get; }
			public Operator @operator { set; get; }
			public String receivedServiceNumber { set; get; }
			public ReceivedTime receivedTime { set; get; }
			public String udh { set; get; }

			public Parameters() { }

			public Parameters(String accountId, String dcs, String keyword, String messageClass, String messageId, Operator @operator, String receivedServiceNumber, ReceivedTime receivedTime, String udh)
			{
				this.accountId = accountId;
				this.dcs = dcs;
				this.keyword = keyword;
				this.messageClass = messageClass;
				this.messageId = messageId;
				this.@operator = @operator;
				this.receivedServiceNumber = receivedServiceNumber;
				this.receivedTime = receivedTime;
				this.udh = udh;
			}
		}

		public IncomingBody()
		{
		}
	}
}
