﻿using System;
using Microsoft.AspNetCore;
using Microsoft.AspNetCore.Hosting;
using Microsoft.EntityFrameworkCore;
using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Logging;
using Microsoft.Extensions.Configuration;
using callbacks.Models;
using callbacks.Services;

namespace callbacks
{
	public class Program
	{
		public static void Main(string[] args)
		{
			var host = BuildWebHostBuilder(args).Build();
			using (var scope = host.Services.CreateScope()) {
				var services = scope.ServiceProvider;
				IConfiguration configuration = services.GetRequiredService<IConfiguration>();
				MessageHandler messageHandler = new MessageHandler(configuration["LIVELINK_BASE_URL"], configuration["LIVELINK_APP_KEY"], configuration["LIVELINK_APP_SECRET"], configuration["LIVELIN_DEFAULT_ORIGIN"]);
				AppointmentService appointmentService = new AppointmentService(messageHandler);
				appointmentService.sendAppointmentMessage();
			}
		}

		public static IWebHostBuilder BuildWebHostBuilder(string[] args) =>
			WebHost.CreateDefaultBuilder(args)
				   .UseStartup<Startup>();
	}
}
