﻿using System;
using callbacks.Models;

namespace callbacks.Services
{
	public class AppointmentService
	{
		private MessageHandler messageHandler;

		public AppointmentService()
		{
		}

		public AppointmentService(MessageHandler messageHandler)
		{
			this.messageHandler = messageHandler;
		}

		public void sendAppointmentMessage()
		{
			Doctor doctor = new Doctor("1", "Christina", "Yang", "Cardiology");
			Person patient = new Person("2", "Steven", "Gorwell", "+50431401307");
			DateTime bookingDate = new DateTime(2018, 06, 18, 16, 0, 0);

			Appointment appointment = new Appointment(doctor, patient, bookingDate);

			String message = String.Format("Mr/Ms %s, you have an appointment with Dr. %s (%s), schedule on %s at %s.",
										   appointment.Patient.getFullName(),
										   appointment.Doctor.getFullName(),
										   appointment.Doctor.Specialization,
										   appointment.Date.ToString("D"),
										   appointment.Date.ToString("t"));
			messageHandler.sendMessage(message, appointment.Patient.PhoneNumber);
		}
	}
}
